Bitcoin Forum
September 26, 2017, 10:05:24 PM *
News: Latest stable version of Bitcoin Core: 0.15.0.1  [Torrent]. (New!)
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 3 4 5 6 7 8 9 [10] 11 12 13 14 15 16 17 18 19 20 21 »  All
  Print  
Author Topic: Electrum server discussion thread  (Read 57952 times)
ThomasV
Moderator
Legendary
*
Offline Offline

Activity: 1890



View Profile WWW
May 16, 2013, 02:35:22 PM
 #181

Couldn't these be coin generation transactions?  They are the only transactions that do not have a tx_in.  There should be one for each block as is listed in the error there.
I don't know.
I have stopped using Abe for a long time, and no longer support it

Electrum: the convenience of a web wallet, without the risks
Transactions can optionally carry transaction fees. Whoever mines the block which ends up containing your transaction will get the fee. The Bitcoin client will sometimes force you to pay a fee when it thinks that no miner will accept your transaction otherwise.
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
roy7
Sr. Member
****
Offline Offline

Activity: 434


View Profile
May 22, 2013, 05:38:54 PM
 #182

Does Electrum server generally work with alt coins if you apply the bitcoind patch to <altcoin>d?

RoyalMiningCo: Pools retired. Was fun!
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
May 23, 2013, 09:11:27 AM
 #183

Generally; no. Only if they are up-to-date with bitcoind.

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
ThomasV
Moderator
Legendary
*
Offline Offline

Activity: 1890



View Profile WWW
May 30, 2013, 06:36:38 AM
 #184

server ops please upgrade your bitcoind
see: https://bitcointalk.org/index.php?topic=100502.msg2315447#msg2315447

Electrum: the convenience of a web wallet, without the risks
tnkflx
Sr. Member
****
Offline Offline

Activity: 348


View Profile
May 30, 2013, 09:00:26 AM
 #185


Done. Electrum.be has been upgraded.

| Operating electrum.be & us.electrum.be |
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
May 30, 2013, 10:21:54 AM
 #186

Electrum server at electrum.bysh.me is upgraded as well and safe for use.

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
Pontius
Full Member
***
Offline Offline

Activity: 225


View Profile
May 30, 2013, 01:38:14 PM
 #187

Did the upgrade already about 10 days ago; no problems with 0.8.2(rc1) so far...
stepkrav
Full Member
***
Offline Offline

Activity: 188



View Profile
May 30, 2013, 04:57:36 PM
 #188

E_stepkrav has been upgraded too.
Vantix
Sr. Member
****
Offline Offline

Activity: 476


View Profile
June 03, 2013, 08:46:47 AM
 #189

Hi all, i use this guide to start my electrum server: https://github.com/spesmilo/electrum-server/blob/master/HOWTO.md

But when i try to strat with comand electrum-server
consolle give me this error:
Code:
[bitcoin@satoshidiamond ~]$ electrum-server
Traceback (most recent call last):
  File "/home/bitcoin/bin/electrum-server", line 146, in <module>
    from backends.bitcoind import BlockchainProcessor
  File "/home/bitcoin/src/electrum/server/backends/bitcoind/__init__.py", line 1, in <module>
    from blockchain_processor import BlockchainProcessor
  File "/home/bitcoin/src/electrum/server/backends/bitcoind/blockchain_processor.py", line 4, in <module>
    import leveldb
ImportError: No module named leveldb

Someone can help me?


         ░░░▒▓▓██▓▓▓▒░░░         
      ░░▒███████████████▒░░     
     ░▓███████████████████▒░     
   ░▒▓█████████████████████▓░░   
   ▓█████████████████████████▒   
  ░██████████████████████████▓░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
   ▓█████████████████████████▒   
   ░▒▓█████████████████████▓░░   
    ░░█████████████████████░░   
      ░░▒███████████████▒░░     
         ░░░▒▓▓██▓▓▓▒░░░         

BananaCoin.io
      Join eco token pre-sale now
   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

   Invest in the production of bananas
     Facebook     Twitter     Website

   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

    JOIN ICO
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
June 03, 2013, 08:53:32 AM
 #190

You will have to install leveldb.

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
tnkflx
Sr. Member
****
Offline Offline

Activity: 348


View Profile
June 03, 2013, 08:54:43 AM
 #191

Hi all, i use this guide to start my electrum server: https://github.com/spesmilo/electrum-server/blob/master/HOWTO.md

But when i try to strat with comand electrum-server
consolle give me this error:
Code:
[bitcoin@satoshidiamond ~]$ electrum-server
Traceback (most recent call last):
  File "/home/bitcoin/bin/electrum-server", line 146, in <module>
    from backends.bitcoind import BlockchainProcessor
  File "/home/bitcoin/src/electrum/server/backends/bitcoind/__init__.py", line 1, in <module>
    from blockchain_processor import BlockchainProcessor
  File "/home/bitcoin/src/electrum/server/backends/bitcoind/blockchain_processor.py", line 4, in <module>
    import leveldb
ImportError: No module named leveldb

Someone can help me?

Did you install the python leveldb module?

| Operating electrum.be & us.electrum.be |
BkkCoins
Hero Member
*****
Offline Offline

Activity: 784


firstbits:1MinerQ


View Profile WWW
June 03, 2013, 09:00:14 AM
 #192

From my now ancient tutorial thread on setting up the server,

sudo apt-get update
sudo apt-get install git htop build-essential libssl-dev libboost-all-dev libdb5.1++-dev python-leveldb python-setuptools

Vantix
Sr. Member
****
Offline Offline

Activity: 476


View Profile
June 03, 2013, 09:01:34 AM
 #193

Hi all, i use this guide to start my electrum server: https://github.com/spesmilo/electrum-server/blob/master/HOWTO.md

But when i try to strat with comand electrum-server
consolle give me this error:
Code:
[bitcoin@satoshidiamond ~]$ electrum-server
Traceback (most recent call last):
  File "/home/bitcoin/bin/electrum-server", line 146, in <module>
    from backends.bitcoind import BlockchainProcessor
  File "/home/bitcoin/src/electrum/server/backends/bitcoind/__init__.py", line 1, in <module>
    from blockchain_processor import BlockchainProcessor
  File "/home/bitcoin/src/electrum/server/backends/bitcoind/blockchain_processor.py", line 4, in <module>
    import leveldb
ImportError: No module named leveldb

Someone can help me?

Did you install the python leveldb module?

Yes i install leveldb with root, but electrum server run with another user "bitcoin" i have to install with user bitcoin?


         ░░░▒▓▓██▓▓▓▒░░░         
      ░░▒███████████████▒░░     
     ░▓███████████████████▒░     
   ░▒▓█████████████████████▓░░   
   ▓█████████████████████████▒   
  ░██████████████████████████▓░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
   ▓█████████████████████████▒   
   ░▒▓█████████████████████▓░░   
    ░░█████████████████████░░   
      ░░▒███████████████▒░░     
         ░░░▒▓▓██▓▓▓▒░░░         

BananaCoin.io
      Join eco token pre-sale now
   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

   Invest in the production of bananas
     Facebook     Twitter     Website

   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

    JOIN ICO
Vantix
Sr. Member
****
Offline Offline

Activity: 476


View Profile
June 03, 2013, 09:14:37 AM
 #194

Ok i don't install python-leveldb, when try to do that consolle tell me this:

Code:
[root@satoshidiamond ~]# yum install git htop build-essential libssl-dev libboost-all-dev libdb5.1++-dev python-leveldb python-setuptools
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.crazynetwork.it
 * epel: mirror.fraunhofer.de
 * extras: mirror.crazynetwork.it
 * remi: mirror5.layerjet.com
 * remi-test: mirror5.layerjet.com
 * updates: mirror.crazynetwork.it
Setting up Install Process
Package git-1.7.1-3.el6_4.1.x86_64 already installed and latest version
Package htop-1.0.1-2.el6.x86_64 already installed and latest version
No package build-essential available.
No package libssl-dev available.
No package libboost-all-dev available.
No package libdb5.1++-dev available.
No package python-leveldb available.
Package python-setuptools-0.6.10-3.el6.noarch already installed and latest version
Nothing to do

I have CentOS


         ░░░▒▓▓██▓▓▓▒░░░         
      ░░▒███████████████▒░░     
     ░▓███████████████████▒░     
   ░▒▓█████████████████████▓░░   
   ▓█████████████████████████▒   
  ░██████████████████████████▓░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
   ▓█████████████████████████▒   
   ░▒▓█████████████████████▓░░   
    ░░█████████████████████░░   
      ░░▒███████████████▒░░     
         ░░░▒▓▓██▓▓▓▒░░░         

BananaCoin.io
      Join eco token pre-sale now
   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

   Invest in the production of bananas
     Facebook     Twitter     Website

   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

    JOIN ICO
BkkCoins
Hero Member
*****
Offline Offline

Activity: 784


firstbits:1MinerQ


View Profile WWW
June 03, 2013, 09:21:12 AM
 #195

Ok i don't install python-leveldb, when try to do that consolle tell me this:

Code:
[root@satoshidiamond ~]# yum install git htop build-essential libssl-dev libboost-all-dev libdb5.1++-dev python-leveldb python-setuptools
Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: mirror.crazynetwork.it
 * epel: mirror.fraunhofer.de
 * extras: mirror.crazynetwork.it
 * remi: mirror5.layerjet.com
 * remi-test: mirror5.layerjet.com
 * updates: mirror.crazynetwork.it
Setting up Install Process
Package git-1.7.1-3.el6_4.1.x86_64 already installed and latest version
Package htop-1.0.1-2.el6.x86_64 already installed and latest version
No package build-essential available.
No package libssl-dev available.
No package libboost-all-dev available.
No package libdb5.1++-dev available.
No package python-leveldb available.
Package python-setuptools-0.6.10-3.el6.noarch already installed and latest version
Nothing to do

I have CentOS
They likely have different names on Red Hat variants. You will need to do a search/lookup to match them up, or maybe someone here using yum can give you a specific list.

Vantix
Sr. Member
****
Offline Offline

Activity: 476


View Profile
June 03, 2013, 09:32:42 AM
 #196

oK, and if i install now leveldb electrum server will start? or i have re-install all?


         ░░░▒▓▓██▓▓▓▒░░░         
      ░░▒███████████████▒░░     
     ░▓███████████████████▒░     
   ░▒▓█████████████████████▓░░   
   ▓█████████████████████████▒   
  ░██████████████████████████▓░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
  ░███████████████████████████░ 
   ▓█████████████████████████▒   
   ░▒▓█████████████████████▓░░   
    ░░█████████████████████░░   
      ░░▒███████████████▒░░     
         ░░░▒▓▓██▓▓▓▒░░░         

BananaCoin.io
      Join eco token pre-sale now
   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

   Invest in the production of bananas
     Facebook     Twitter     Website

   .
██
██
██
██
██
██
██
██
██
██
██
██
██
██

    JOIN ICO
tnkflx
Sr. Member
****
Offline Offline

Activity: 348


View Profile
June 03, 2013, 10:38:29 AM
 #197

I was not immediately able to find a python leveldb package for CentOS 6... You will probably have to install it from source.

Have a look here: http://code.google.com/p/py-leveldb/source/browse/trunk/README

| Operating electrum.be & us.electrum.be |
ergofobe
Newbie
*
Offline Offline

Activity: 29



View Profile WWW
June 06, 2013, 12:02:38 AM
 #198

bitcoind is using the 43% of my 1GB of RAM x.x

I have a problem lauching the server: (the bitcoin chain is updated)
Code:
[18/04/2013-16:42:33] Starting Electrum server on BlaBla
Traceback (most recent call last):
  File "/home/bitcoin/src/electrum-server/backends/bitcoind/blockchain_processor.py", line 62, in __init__
    hist = self.deserialize(self.db.Get('height'))
KeyError
[18/04/2013-16:42:34] initializing database
Exception in thread Thread-4:
Traceback (most recent call last):
  File "/usr/lib/python2.7/threading.py", line 810, in __bootstrap_inner
    self.run()
  File "/usr/lib/python2.7/threading.py", line 1082, in run
    self.function(*self.args, **self.kwargs)
  File "/home/bitcoin/src/electrum-server/backends/bitcoind/blockchain_processor.py", line 82, in <lambda>
    threading.Timer(0, lambda: self.catch_up(sync=False)).start()
  File "/home/bitcoin/src/electrum-server/backends/bitcoind/blockchain_processor.py", line 783, in catch_up
    next_block = self.bitcoind('getblock', [next_block_hash, 1])
  File "/home/bitcoin/src/electrum-server/backends/bitcoind/blockchain_processor.py", line 105, in bitcoind
    raise BaseException(r['error'])
BaseException: {u'message': u'getblock <hash>\nReturns details of a block with given block-hash.', u'code': -1}

I'm having the same problem.  I tried monkeying with the code at line 794 (which is where the problem line lives in the current version), and i got it past this error by removing the
Code:
, 1
from the array, but that apparently opened up a host of new problems.  I'm not a python coder, so I could debug it any further..  Using the latest electrum-server code (as of today), and bitcoind-0.8.2.  I was running bitcoind-0.8.1 and also got this error.. Upgrading bitcoind did not help.

Panama BTCitcoins | Serving Panamá, and all of Latin America (http://panamabitcoins.com)
http://panamabitcoins.com | info@panamabitcoins.com | ergofobe is the founder of Panama Bitcoins
BkkCoins
Hero Member
*****
Offline Offline

Activity: 784


firstbits:1MinerQ


View Profile WWW
June 06, 2013, 12:53:25 AM
 #199

Make sure you installed the electrum-server patch for bitcoind. It changes the way getblock handles multiple params.

patch -p1 <../electrum-server/patch/patch

before you make bitcoind. I checked the patch source and it has code that alters that msg. so I'm guessing it's connected.

stepkrav
Full Member
***
Offline Offline

Activity: 188



View Profile
June 06, 2013, 01:27:31 AM
 #200

i constantly use above 1GB of RAM. Don't know if you'll make it...
Pages: « 1 2 3 4 5 6 7 8 9 [10] 11 12 13 14 15 16 17 18 19 20 21 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!